import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { CreateForumUseCase } from './CreateForumUseCase';

class CreateForumController {
    async handle(request: Request, response: Response) {
        const { title, description } = request.body;
        const createForumUseCase = container.resolve(CreateForumUseCase)

        const forum = await createForumUseCase.execute({
            title,
            description
        })

        return response.status(200).json(forum)
    }
}

export { CreateForumController }