import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { DeleteForumUseCase } from './DeleteForumUseCase';

class DeleteForumController {
    async handle(request: Request, response: Response) {
        const {id} = request.params
        const deleteForumUseCase = container.resolve(DeleteForumUseCase)

        await deleteForumUseCase.execute(id)

        return response.status(200).json({"message": "Deleted"})
    }
}

export {DeleteForumController}