import { IForumRepository } from "@modules/foruns/repositories/IForumRepository";
import { AppError } from "@shared/error/AppError";
import { injectable, inject } from "tsyringe";

@injectable()
class DeleteForumUseCase {
    constructor(
        @inject('ForumRepository')
        private forunsRepository: IForumRepository
    ) { }

    async execute(id: string) {
        const forumAlreadyExists = await this.forunsRepository.findById(id)
        if (!forumAlreadyExists) {
            throw new AppError('Forum doesnt exists', 404);
        }

        await this.forunsRepository.deleteForum(id)

        return true
    }
}

export {DeleteForumUseCase}