import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindManyForumUseCase } from './FindManyForumUseCase';

class FindManyForumController {
    async handle(request: Request, response: Response) {
        const findManyForumUseCase = container.resolve(FindManyForumUseCase)

        const foruns = await findManyForumUseCase.execute()

        return response.status(200).json(foruns)
    }
}

export {FindManyForumController}