import { IForumRepository } from "@modules/foruns/repositories/IForumRepository";
import { injectable, inject } from "tsyringe";

@injectable()
class FindManyForumUseCase {
    constructor(
        @inject('ForumRepository')
        private forunsRepository: IForumRepository
    ) { }

    async execute() {
        const foruns = await this.forunsRepository.findAllForuns()
        return foruns
    }
}

export {FindManyForumUseCase}