import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindOneForumUseCase } from './FindOneForumUseCase';

class FindOneForumController {
    async handle(request: Request, response: Response) {
        const {id} = request.params;
        const findOneForumUseCase = container.resolve(FindOneForumUseCase)
        
        const forum = await findOneForumUseCase.execute(id)

        return response.status(200).json(forum)
    }
}

export {FindOneForumController}